import { o as t, n as s, a6 as c, E as m, a7 as r } from "./index-DSGwv2Yx.js";
function l(o, n) {
  const a = s(o, "real", "complex"), e = s(n, "imag", "complex");
  c(a.shape, e.shape, `real and imag shapes, ${a.shape} and ${e.shape}, must match in call to tf.complex().`);
  const p = { real: a, imag: e };
  return m.runKernel(r, p);
}
const i = /* @__PURE__ */ t({ complex_: l });
export {
  i as c
};
